ru.bitel.bgbilling.kernel.apps.server.bean

## Class AppsAbstractAction

- java.lang.Object
- - ru.bitel.bgbilling.kernel.apps.server.bean.AppsAbstractAction

-     public abstract class AppsAbstractAction
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<java.lang.String,java.lang.Object>` | `actionMap` Мап который будет будет сохранен в dataMap с ключем запрашиваемого акшена
    `protected java.sql.Connection` | `con`
    `protected AppsContext` | `context`
    `protected int` | `contractId`
    `protected java.util.Map<java.lang.String,java.lang.Object>` | `dataMap` Мап который будет возвращен.
    `protected javax.servlet.http.HttpServletRequest` | `request`
    `protected java.util.Map<java.lang.String,java.lang.String>` | `requestParamsMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppsAbstractAction()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `execute()`
    `java.math.BigDecimal` | `getBigDecimal(java.lang.String key, java.math.BigDecimal def)`
    `protected boolean` | `getBoolean(java.lang.String name, boolean defaultValue)`
    `protected java.util.Date` | `getDateParameter(java.lang.String name, java.lang.String pattern, java.util.Date defaultValue)`
    `int` | `getIntParameter(java.lang.String name, int defaultValue)`
    `java.lang.String` | `getParameter(java.lang.String name)`
    `protected Period` | `getPeriod()`
    `protected Period` | `getPeriod(java.lang.String pattern)`
    `void` | `setContext(AppsContext appsContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          protected AppsContext context

    - #### contractId

          protected int contractId

    - #### con

          protected java.sql.Connection con

    - #### dataMap

          protected java.util.Map<java.lang.String,java.lang.Object> dataMap

      Мап который будет возвращен. Не уверен, что он тут понадобится, так как все, что относиться к запросу акшена должно быть в actionMap

    - #### actionMap

          protected java.util.Map<java.lang.String,java.lang.Object> actionMap

      Мап который будет будет сохранен в dataMap с ключем запрашиваемого акшена

    - #### request

          protected javax.servlet.http.HttpServletRequest request

    - #### requestParamsMap

          protected java.util.Map<java.lang.String,java.lang.String> requestParamsMap

  - ### Constructor Detail

    - #### AppsAbstractAction

          public AppsAbstractAction()

  - ### Method Detail

    - #### setContext

          public void setContext(AppsContext appsContext)

    - #### execute

          public abstract void execute()
                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getParameter

          public java.lang.String getParameter(java.lang.String name)

    - #### getIntParameter

          public int getIntParameter(java.lang.String name,
                                     int defaultValue)

    - #### getPeriod

          protected Period getPeriod()

    - #### getPeriod

          protected Period getPeriod(java.lang.String pattern)

    - #### getBigDecimal

          public java.math.BigDecimal getBigDecimal(java.lang.String key,
                                                    java.math.BigDecimal def)

    - #### getDateParameter

          protected final java.util.Date getDateParameter(java.lang.String name,
                                                          java.lang.String pattern,
                                                          java.util.Date defaultValue)

    - #### getBoolean

          protected boolean getBoolean(java.lang.String name,
                                       boolean defaultValue)